/* Each Action Code has at least one default and preferably mutliple conjugations.

The different tenses are for:
	- trigger action:											Present		R
		When "My Lamp" "Turns On" (menu choice)

	- action to perform:										Infinitive	I
		Tell Device "My Lamp" to "Turn On"	(menu choices)

	- action in progress:										Gerund		G
		Turning on the lamp. (Activity window)

	- log observed action in past tense:						Past		A
			The lamp turned on.
			La lámpara encendida.

	- log action controller did to it:							Object		O
			[ I ] Turned on the lamp.
			Encendí la lámpara.

	Each key has
		"key" + 4 char action code + tense (R, I, A or O) + Singularity (S or P) + gender (M, F or N)
*/

/* kTurnOn */
"keyOn  Default" = "Turn On";
"keyOn  ISM" = "Turn On";
"keyOn  GSM" = "Turning on";
"keyOn  GPM" = "Turning on";
"keyOn  ASM" = "Turned on";
"keyOn  APM" = "Turned on";
"keyOn  ASO" = "Turned on";
"keyOn  RSM" = "Turns on";
"keyOn  RPM" = "Turn on";
"keyOn  OPM" = "Turned on";	/*	[ I ] turned on the … */
"keyOn  OSM" = "Turned on";

/* kTurnOff */
"keyOff Default" = "Turn Off";
"keyOff ISM" = "Turn Off";
"keyOff GSM" = "Turning off";
"keyOff GPM" = "Turning off";
"keyOff ASM" = "Turned off";
"keyOff APM" = "Turned off";
"keyOff ASO" = "Turned off";
"keyOff RSM" = "Turns off";
"keyOff RPM" = "Turn off";
"keyOff OPM" = "Turned off";
"keyOff OSM" = "Turned off";

/* kDim */
"keyDim Default" = "Dim";
"keyDim ISM" = "Dim";
"keyDim GSM" = "Dimming";
"keyDim GPM" = "Dimming";
"keyDim ASM" = "Dimmed";
"keyDim APM" = "Dimmed";
"keyDim RPM" = "Dim";
"keyDim OPM" = "Dimmed";
"keyDim OSM" = "Dimmed";

/* kBrighten */
"keyBritDefault" = "Brighten";
"keyBritGSM" = "Brightening";
"keyBritGPM" = "Brightening";
"keyBritASM" = "Brightened";
"keyBritAPM" = "Brightened";
"keyBritRPM" = "Brighten";
"keyBritOPM" = "Brightened";
"keyBritOSM" = "Brightened";

/* kDimTo */
"keyDmToDefault" = "Dim to";
"keyDmToGSM" = "Dimming to";
"keyDmToGPM" = "Dimmin tog";
"keyDmToASM" = "Dimmed to";
"keyDmToAPM" = "Dimmed to";
"keyDmToRPM" = "Dim to";
"keyDmToOPM" = "Dimmed to";
"keyDmToOSM" = "Dimmed";

/* kBrightenTo */
"keyBrToDefault" = "Brighten to";
"keyBrToGSM" = "Brightening to";
"keyBrToGPM" = "Brightening to";
"keyBrToASM" = "Brightened to";
"keyBrToAPM" = "Brightened to";
"keyBrToRPM" = "Brighten to";
"keyBrToOPM" = "Brightened to";
"keyBrToOSM" = "Brightened to";

/* kExtendedCommand */
"keyExCmDefault" = "Extended Command";
"keyExCmRSM" = "Extended Command";
"keyExCmISM" = "Extended Command";
"keyExCmISF" = "Extended Command";
"keyExCmIPF" = "Extended Command";
"keyExCmIPM" = "Extended Command";



/* All *	*/
"keyAOffDefault" = "Turn off";	/* All Units Off */
"keyAOffIPM" = "Turn off";
"keyAOffAPM" = "Turned off";
"keyAll+Default" = "Turn on";	/* All Lights On */
"keyAll+IPM" = "Turn on";
"keyAll+APM" = "Turned on";
"keyAll-Default" = "Turn off";	/* All Lights Off */
"keyAll-IPM" = "Turn off";
"keyAll-APM" = "Turned off";


/* kStatusOn */
"keySta+Default" = "Is On";
"keySta+ASM" = "Is on";
"keySta+APM" = "Are on";
"keySta+RSM" = "Is on";
"keySta+RPM" = "Were on";

/* kStatusOff */
"keySta-Default" = "Is Off";
"keySta-ASM" = "Is off";
"keySta-APM" = "Are off";
"keySta-RSM" = "Is off";
"keySta-RPM" = "Were off";

/* kCurrentStatus */
"keyStatDefault" = "Reported status as";
"keyStatASM" = "Reported status as";
"keyStatAPM" = "Reported status as";
"keyStatRSM" = "Reported status as";
"keyStatRPM" = "Reported status as";

/* kStatusRequest We may overhear another controller requesting status. */
"keySta?Default" = "Received a status request";
"keySta?ASM" = "Received a status request";
"keySta?APM" = "Received a status request";


"keyWaitDefault" = "Wait";
"keyWaitISM" = "Wait";
"keyWaitGSM" = "Waiting";
"keyWaitGPM" = "Waiting";



/* Special trigger actions */
"keyStrtRSM" = "Thinking Home Starts";
"keyStrtASM" = "Thinking Home%@ started";

"keyQuitRSM" = "Thinking Home Quits";
"keyQuitASM" = "Thinking Home quit";

"keyWakeRSM" = "Mac Wakes";
"keyWakeASM" = "Mac woke up";

"keySlepRSM" = "Mac About To Sleep";
"keySlepASM" = "About to sleep";

"keyLgInRSM" = "User Logs In";
"keyLgInASM" = "User logged in";

"keyLgOtRSM" = "User Logs Out";
"keyLgOtASM" = "User logged out";

"keyUsr-RSM" = "User Switches Away";
"keyUsr-ASM" = "User switched away";

"keyUsr+RPM" = "User Switches Back";
"keyUsr+APM" = "Switched back to user";

"keyBub-RPM" = "Light Bulb Fails";
"keyLod-RPM" = "Load Disconnected";
"keyLod-APM" = "Load was disconnected";

"keyBub+RPM" = "Light Bulb Is Installed";
"keyBub+APM" = "Light bulb was installed";
"keyLod+RPM" = "Load Connected";
"keyLod+APM" = "Load was connected";

"keyDownRPM" = "Mac Shuts Down";
"keyDownAPM" = "Powering off";
/* keyPoweringOff */

"keyPwr-RPM" = "Power Is Lost";
"keyPwr+RPM" = "Power Is Restored";

"keyAdd?RPM" = "Unknown Address Seen";
"keyNet-RPM" = "Network Lost";
"keyNet+RPM" = "Network Restored";
"keyRol-RPM" = "Device Stops Responding";
"keyRol+RPM" = "Device Begins Responding";


/* Articles */
"keyDefaultArticle" = "the";
"keySNArticle" = "the";
"keySMArticle" = "the";	/* el  for testing */
"keyPMArticle" = "the";	/* los for testing */
"keySFArticle" = "the";	/* la  for testing */
"keyPFArticle" = "the";	/* las for testing */

/* Prepositions */
"keyBy" = "by";		/* por for testing */
"keyTo" = "to";		/* a   for testing */
"keyPercent" = "%";
"keyDegreesF" = "°F";
"keyDegreesC" = "°C";


/* conjunction */
"keyAnd" = "and"; /* testing */

/* Common suffixes for plural device names. Up to 50 */
"keyCommonPluralSuffix1" = "lights";
"keyCommonPluralSuffix2" = "lamps";
"keyCommonPluralSuffix3" = "candles";
"keyCommonPluralSuffix4" = "bulbs";




/* This one is checked upon launch, to ensure it is not empty. Preceding typos in this file can render subsequent strings empty. */
"keyLastConjugationsString" = "last";
